<?xml version="1.0" encoding="UTF-8"?>
<DataTemplate>
    <Templates>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.sw.DataStreamSwMatchProcessor</StreamProcessor>
            <ProcessorName>DataStreamSwMatchProcessor</ProcessorName>
            <TemplateName>通用报文匹配处理器</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.sw.DataStreamSwCrcCheckProcessor</StreamProcessor>
            <ProcessorName>DataStreamSwCrcCheckProcessor</ProcessorName>
            <TemplateName>CRC校验适配器</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.sw.DataStreamSwLinkHeartProcessor</StreamProcessor>
            <ProcessorName>DataStreamSwLinkHeartProcessor</ProcessorName>
            <TemplateName>链路报</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.sw.DataStreamSwTestDatagramProcessor</StreamProcessor>
            <ProcessorName>DataStreamSwTestDatagramProcessor</ProcessorName>
            <TemplateName>测试报</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.sw.DataStreamSwTimeIntervalDatagramProcessor</StreamProcessor>
            <ProcessorName>DataStreamSwTimeIntervalDatagramProcessor</ProcessorName>
            <TemplateName>均匀时段降水数据报</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.sw.DataStreamSwFixedTimeDatagramProcessor</StreamProcessor>
            <ProcessorName>DataStreamSwFixedTimeDatagramProcessor</ProcessorName>
            <TemplateName>定时报</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.sw.DataStreamSwExtraDatagramProcessor</StreamProcessor>
            <ProcessorName>DataStreamSwExtraDatagramProcessor</ProcessorName>
            <TemplateName>加加报</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.sw.DataStreamSwHourDatagramProcessor</StreamProcessor>
            <ProcessorName>DataStreamSwHourDatagramProcessor</ProcessorName>
            <TemplateName>小时报</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.sw.DataStreamSwRgzsDatagramProcessor</StreamProcessor>
            <ProcessorName>DataStreamSwRgzsDatagramProcessor</ProcessorName>
            <TemplateName>人工置数</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.sw.DataStreamSwImageDatagramProcessor</StreamProcessor>
            <ProcessorName>DataStreamSwImageDatagramProcessor</ProcessorName>
            <TemplateName>图片报</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.sw.DataStreamSwConfigDatagramProcessor</StreamProcessor>
            <ProcessorName>DataStreamSwConfigDatagramProcessor</ProcessorName>
            <TemplateName>更新配置文件报</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.sw.DataStreamSwFileDatagramProcessor</StreamProcessor>
            <ProcessorName>DataStreamSwFileDatagramProcessor</ProcessorName>
            <TemplateName>多包文件报</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.sw.DataStreamSwReadRunSettingDatagramProcessor</StreamProcessor>
            <ProcessorName>DataStreamSwReadRunSettingDatagramProcessor</ProcessorName>
            <TemplateName>读取运行参数报</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.sw.DataStreamSwReadSettingDatagramProcessor</StreamProcessor>
            <ProcessorName>DataStreamSwReadSettingDatagramProcessor</ProcessorName>
            <TemplateName>读取基本参数报</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.sw.DataStreamSwRebootDatagramProcessor</StreamProcessor>
            <ProcessorName>DataStreamSwRebootDatagramProcessor</ProcessorName>
            <TemplateName>重启RTU报</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.sw.DataStreamSwStatusDatagramProcessor</StreamProcessor>
            <ProcessorName>DataStreamSwStatusDatagramProcessor</ProcessorName>
            <TemplateName>RTU状态扩展报</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>processor</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.processor.sw.DataStreamSwUnknownProcessor</StreamProcessor>
            <ProcessorName>DataStreamSwUnknownProcessor</ProcessorName>
            <TemplateName>未定义报文</TemplateName>
            <Enable>1</Enable>
        </Item>
        <Item>
            <Type>sink</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.sink.DataStreamKafkaSink</StreamProcessor>
            <ProcessorName>DataStreamKafkaSink</ProcessorName>
            <TemplateName>KAFKA消息队列输出</TemplateName>
            <Enable>0</Enable>
        </Item>
        <Item>
            <Type>sink</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.sink.DataStreamSwKafkaSink</StreamProcessor>
            <ProcessorName>DataStreamSwKafkaSink</ProcessorName>
            <TemplateName>KAFKA消息队列输出</TemplateName>
            <Enable>0</Enable>
        </Item>
        <Item>
            <Type>sink</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.sink.DataStreamSwJpzKafkaSink</StreamProcessor>
            <ProcessorName>DataStreamSwJpzKafkaSink</ProcessorName>
            <TemplateName>柬埔寨KAFKA消息队列输出</TemplateName>
            <Enable>0</Enable>
        </Item>
        <Item>
            <Type>sink</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.sink.DataStreamSwMqttSink</StreamProcessor>
            <ProcessorName>DataStreamSwMqttSink</ProcessorName>
            <TemplateName>MQTT消息输出</TemplateName>
            <Enable>0</Enable>
        </Item>
        <Item>
            <Type>sink</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.sink.DataStreamSwRtuSink</StreamProcessor>
            <ProcessorName>DataStreamSwRtuSink</ProcessorName>
            <TemplateName>输出到远端RTU</TemplateName>
            <Enable>0</Enable>
        </Item>
        <Item>
            <Type>sink</Type>
            <StreamProcessor>org.ts.ddcs.dataStream.sink.DataStreamSwRestSink</StreamProcessor>
            <ProcessorName>DataStreamSwRestSink</ProcessorName>
            <TemplateName>水文REST HTTP 输出</TemplateName>
            <Enable>1</Enable>
        </Item>
    </Templates>
</DataTemplate>